Loading...
Searching...
No Matches
gridfire::engine::StepDerivatives< T > Struct Template Reference

Structure holding derivatives and energy generation for a network step. More...

`#include <engine_abstract.h>`

Collaboration diagram for gridfire::engine::StepDerivatives< T >:
[legend]

## Public Member Functions

| StepDerivatives ()

## Public Attributes

std::map< fourdst::atomic::Species, T > | dydt {}
| Derivatives of abundances (dY/dt for each species).
T | nuclearEnergyGenerationRate = T(0.0)
| Specific energy generation rate (e.g., erg/g/s).
std::map< fourdst::atomic::Species, std::unordered_map< std::string, T > > | reactionContributions {}
T | neutrinoEnergyLossRate = T(0.0)
T | totalNeutrinoFlux = T(0.0)

## Detailed Description

template<IsArithmeticOrAD T>
struct gridfire::engine::StepDerivatives< T >

Structure holding derivatives and energy generation for a network step.

Template Parameters

  T | Numeric type (double or CppAD::AD<double>).

This struct is used to return both the time derivatives of all species abundances and the specific nuclear energy generation rate for a single network evaluation.

Example usage:

StepDerivatives<double> result = engine.calculateRHSAndEnergy(Y, T9, rho);
for (double dydt_i : result.dydt) {
// Use derivative
}
double energyRate = result.nuclearEnergyGenerationRate;
gridfire::engine::StepDerivatives
Structure holding derivatives and energy generation for a network step.
Definition engine_abstract.h:53
gridfire::engine::StepDerivatives::dydt
std::map< fourdst::atomic::Species, T > dydt
Derivatives of abundances (dY/dt for each species).
Definition engine_abstract.h:54
gridfire::engine::StepDerivatives::nuclearEnergyGenerationRate
T nuclearEnergyGenerationRate
Specific energy generation rate (e.g., erg/g/s).
Definition engine_abstract.h:55

## Constructor & Destructor Documentation

## StepDerivatives()

template<IsArithmeticOrAD T>

gridfire::engine::StepDerivatives< T >::StepDerivatives | ( |  | ) |

inline

## Member Data Documentation

## dydt

template<IsArithmeticOrAD T>

std::map<fourdst::atomic::Species, T> gridfire::engine::StepDerivatives< T >::dydt {}

Derivatives of abundances (dY/dt for each species).

## neutrinoEnergyLossRate

template<IsArithmeticOrAD T>

T gridfire::engine::StepDerivatives< T >::neutrinoEnergyLossRate = T(0.0)

## nuclearEnergyGenerationRate

template<IsArithmeticOrAD T>

T gridfire::engine::StepDerivatives< T >::nuclearEnergyGenerationRate = T(0.0)

Specific energy generation rate (e.g., erg/g/s).

## reactionContributions

template<IsArithmeticOrAD T>

std::map<fourdst::atomic::Species, std::unordered_map<std::string, T> > gridfire::engine::StepDerivatives< T >::reactionContributions {}

## totalNeutrinoFlux

template<IsArithmeticOrAD T>

T gridfire::engine::StepDerivatives< T >::totalNeutrinoFlux = T(0.0)

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/engine_abstract.h